package com.lz.modules.flow.dao;
/**
* <p>
* 发起考核考，核组人员对应关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.EvaluationStartStaff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EvaluationStartStaffMapper extends BaseMapper<EvaluationStartStaff> {


	EvaluationStartStaff selectEvaluationStartStaffById(@Param("id")Long id);


	Long insertEvaluationStartStaff(EvaluationStartStaff evaluationStartStaff);


	int updateEvaluationStartStaffById(EvaluationStartStaff evaluationStartStaff);


	int updateCoverEvaluationStartStaffById(EvaluationStartStaff evaluationStartStaff);


	int deleteEvaluationStartStaffById(@Param("id")Long id);


    Long insertEvaluationStartStaffs(@Param("list") List<EvaluationStartStaff> evaluationStartStaffs);

	EvaluationStartStaff selectOneByStartIdAndStaffId(@Param("startId")Long startId,@Param("staffId")Long staffId);
}